
CoCoALib - Design #1753

Clean up EulerTotient, InvTotient jungle in NumTheory-misc

13 Jul 2023 12:25 - John Abbott

Status: Closed Start date: 13 Jul 2023

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Tidying Estimated time: 0.95 hour

Target version: CoCoALib-0.99850 Spent time: 0.95 hour

Description

The various functions for computing InvTotient are now rather a mess.

Clean this up, and revise documentation.

History

#1 - 22 Jan 2024 20:14 - John Abbott

- Status changed from New to Feedback

- % Done changed from 0 to 90

I have cleaned the code:

removed the InvTotient iterator which is superseded by the new code (which is fast enough)

removed quite a lot of cruft (incl. obsolete includes)

Not sure if further cleaning is necessary - probably not (or unimportant).

#2 - 07 Mar 2024 20:06 - John Abbott

The relevant files are NumTheory-misc.

Tests are in test-NumTheory1,C.

#3 - 07 Mar 2024 20:10 - John Abbott

- Status changed from Feedback to Closed

- Estimated time set to 0.95 h

The header & source files look to be acceptably neat & tidy.  So closing.

#4 - 29 Mar 2024 08:25 - Anna Maria Bigatti

- % Done changed from 90 to 100

set to 100% (after being closed)
